Subject: RE: perl DynaLoader problems
From: "Eric Fifer" <[email-masked]>
To: <[email-masked]>
Cc: "'Kurt Indermaur'" <[email-masked]>
Date: Thu, 22 Mar 2001 23:48:52 -0000

Charles Wilson wrote:
>Kurt Indermaur wrote:
>> 
>> I am trying to build and use a CPAN module
>> (Date::Calc, though it happens with many others, too).
>> The module compiles ok, but when I try to use it, or
>> even do "make test" (see below), I get dlopen errors
>> with a strange error code (3221225622). The DLL file
>> is where it's looking for it.
>> 
>> Is there a fix or workaround to this problem?
>
>I've never seen this problem; Eric -- any ideas?

Hard to say, Date::Calc works fine for me, builds with
no errors and passes all the tests.  I would guess that
something went wrong when building the Calc.dll.  Does
your 'blib/arch/auto/Date/Calc/Calc.dll' seem corrupt?
Try something like 'objdump -x' or 'cygcheck' on it to see
if it is ok.

The other thing that it might be is that to successfully
dlopen a DLL all the dependent DLLs must also be found
(which may depend on your PATH).  But, in this case the only
dependencies are cygwin1.dll, libperl5_6_1.dll and kernel32.dll.

Eric Fifer

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple